---
-- #%L
-- SIH Adagio :: Core for Allegro
-- $Id:$
-- $HeadURL:$
-- %%
-- Copyright (C) 2013 - 2014 Ifremer
-- %%
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Affero General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU Affero General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
-- #L%
---
-------------------------------------------------------------
-- Clean referential from an Ifremer Adagio database (remove vessels and owner, change names, etc.)
-------------------------------------------------------------
delete from vessel_features where vessel_fk not in ('265356', '851751', '632788');
delete from vessel_registration_period where vessel_fk not in ('265356', '851751', '632788');
delete from vessel_owner_period where vessel_fk not in ('265356', '851751', '632788');
delete from vessel_owner vo where not exists (select * from vessel_owner_period vop where vop.vessel_owner_fk=vo.id);
delete from denormalized_vessel where vessel_fk not in (select code from vessel);

update denormalized_vessel set registration_start_date='2015-01-01 00:00:00.000' where vessel_fk='851751';
update denormalized_vessel set registration_end_date='2015-12-31 00:00:00.000' where vessel_fk='851751';

update vessel_owner set lastname = 'Dupont' || id, firstname = 'Bernard', street = id || ' rue principale', zip_code = '29000', city = 'QUIMPER', ADDRESS = null;

update person set lastname = 'Dupond' || id, firstname = 'Jacques', ADDRESS  = id || ' rue port, 29100 BREST', PHONE_NUMBER = '02 98 22 ' || id, MOBILE_NUMBER = '06 00 ' || id, FAX_NUMBER = '02 98 21 ' || id, EMAIL = 'jacques.dupond.'|| id || '@ifremer.fr', EMPLOYEE_NUMBER = id, username_extranet = null;

update person set username = null where username not in ('tstq2', 'admq2', 'admin', 'demo');
update person set status_fk = 1 where username in ('tstq2', 'admq2', 'admin', 'demo');

-- for demo user
update person set username = 'demo' where username='tstq2';
update person set crypt_password = '137-228-149-231-148-28-249-228-14-105-128-209-74-22-191-2-60-205-76-145' where username='demo';

-- Disable old Ifremer departments
update department set CODE='IFREMER', NAME='Institut Francais de Recherche pour l''Exploitation de la Mer' where id=1 and code = 'PDG';
update department set STATUS_FK='0' where CODE like 'PDG-%';
update department set email = lower(code)|| '@ifremer.fr', phone = '01 01 01 0' || ID;
update PERSON set department_fk = 1 where department_fk in (SELECT ID FROM department where CODE like 'PDG-%') and STATUS_FK='1';

commit;